%global pypi_name keras-applications

Name:           python-%{pypi_name}
Version:        1.0.6
Release:        3.2%{?dist}
Summary:        Reference implementations of deep learning models
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/keras-team/keras-applications
Source0:        https://files.pythonhosted.org/packages/source/K/Keras_Applications/keras_applications-%{version}.tar.gz
Source10:       https://raw.githubusercontent.com/keras-team/keras-applications/%{version}/LICENSE
BuildArch:      noarch

BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if 0%{?fedora}
BuildRequires:  python3-devel
BuildRequires:  python2-devel
BuildRequires:  python3-rpm-macros
BuildRequires:  python2dist(numpy) >= 1.9.1
BuildRequires:  python2dist(h5py)
BuildRequires:  python2dist(setuptools)
BuildRequires:  python2dist(pytest-cov)
BuildRequires:  python2dist(pytest-xdist)
BuildRequires:  python2dist(pytest)

BuildRequires:  python3dist(numpy) >= 1.9.1
BuildRequires:  python3dist(h5py)
BuildRequires:  python3dist(pytest-cov)
BuildRequires:  python3dist(pytest-xdist)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
%else

BuildRequires:  python-setuptools
# SECTION test requirements
BuildRequires:  python-h5py
BuildRequires:  python-numpy >= 1.9.1
BuildRequires:  python-pytest-cov
BuildRequires:  python-pytest-xdist
BuildRequires:  python-pytest
# /SECTION
%endif

%description
Keras Applications is the applications module of the Keras deep
learning library. It provides model definitions and pre-trained
weights for a number of archictures, such as VGG16, ResNet50,
Xception, MobileNet, and more.
%if 0%{?fedora}
%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}

Requires:       python2dist(h5py)
Requires:       python2dist(numpy) >= 1.9.1
%description -n python2-%{pypi_name}
Keras Applications is the applications module of the Keras deep
learning library. It provides model definitions and pre-trained
weights for a number of archictures, such as VGG16, ResNet50,
Xception, MobileNet, and more

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(h5py)
Requires:       python3dist(numpy) >= 1.9.1
%description -n python3-%{pypi_name}
Keras Applications is the applications module of the Keras deep
learning library. It provides model definitions and pre-trained
weights for a number of archictures, such as VGG16, ResNet50,
Xception, MobileNet, and more
%else
%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}

Requires:       python-h5py
Requires:       python2-numpy >= 1.9.1
%description -n python2-%{pypi_name}
Keras Applications is the applications module of the Keras deep
learning library. It provides model definitions and pre-trained
weights for a number of archictures, such as VGG16, ResNet50,
Xception, MobileNet, and more
%endif

%prep
%setup -q -n keras_applications-%{version}
cp %{SOURCE10} .

%build
%py2_build
%if 0%{?fedora}
%py3_build
%endif


%install
rm -rf %{buildroot}
%py2_install
%if 0%{?fedora}
%py3_install
%endif

%files -n python2-%{pypi_name}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%if 0%{?fedora}
%files -n python3-%{pypi_name}
%doc README.md
%license LICENSE
%{python3_sitelib}/*
%endif

%changelog
* Sat Mar 02 2019 Ruslan Pisarev <ruslan@rpisarev.org.ua> - 1.0.6
- Ported spec from OpenSuse

* Wed Nov 14 2018 Todd R <toddrme2178@gmail.com>
- Initial version
